Subject: Re: bug#23721: Subject: 24.5; package-read-archive-contents: Wrong type argument: arrayp, nil
From: Wensheng Xie <[email-masked]>
To: Glenn Morris <[email-masked]>
Date: Wed, 8 Jun 2016 15:30:12 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, Morris:

Thanks for the instruction.

I have recovered from the problem using:

1. delete file : ~/.emacs.d/elpa/archives/melpa/archive-contents
2. add in ~/.emacs the following

(package-initialize)

(package-refresh-contents)

Now I tried to reproduce the problem by reverse back my emacs,

but cannot. I am ok if you close the bug.

I will let you know if I reproduce it later.

best regards,

wxie

On Wed, Jun 8, 2016 at 5:33 AM, Glenn Morris <[email-masked]> wrote:

>
> > 1. start emacs
> > 2. M-x list-package
> > 3. scroll to org (installed 20160606), mark D, then X
> > 4. org is deleted in the installed list
> > 5. C-x C-c to exit emacs
> > 6. start emacs
> > 7. M-x list-package
> > 8. error: package-read-archive-contents: Wrong type argument: arrayp, nil
>
> Thanks for the report. I can't reproduce this. Please repeat, but before
> step 7:
>
> 6b. M-x load-library package.el RET
> 6c. M-x toggle-debug-on error RET
>
> and then after step 7 send the resulting backtrace.
>